import 'antd/dist/antd.css';
import React, { useContext, useEffect } from 'react';

import { useUnauthRedirect } from '../../hooks';
import { useRouter } from 'next/router';
import { Typography } from 'antd';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { faTags } from '@fortawesome/free-solid-svg-icons';
import { LoggedUserContext } from '../../contexts/LoggedUserContext';
import { MainLayout } from '../../layouts/MainLayout';

function TagsPage() {
    const redirecting = useUnauthRedirect('/login');
    const { logout, role } = useContext(LoggedUserContext);
    const router = useRouter();

    useEffect(() => {
        if (!redirecting && role === 'ADMINISTRATOR') {
            // TODO load tags
        }
    }, [logout, redirecting, role, router]);

    return redirecting || role !== 'ADMINISTRATOR' ? null : (
        <MainLayout>
            <Typography.Title level={2}>
                <FontAwesomeIcon icon={faTags} /> Značky
            </Typography.Title>
        </MainLayout>
    );
}

export default TagsPage;
